program WEIGHING;
var a,k,n,i,j,l,m:longint;
 e:real;
input:text;
begin
     assign(input, 'C:\Temp\acm\mass\WEIGHING.IN');
     reset(input);
     readln(input, a);
     l:=1;
     j:=0;
     k:=0;
                 for i:=1 to a do
                 begin
                 readln(input,k);
                 e:=sqrt(k);
                 writeln(e:0:0);

                 end;
close(input);
end.